> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get enterprise login URL

> Get the enterprise login URL for a given organization



## OpenAPI

````yaml get /auth/enterprise
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /auth/enterprise:
    get:
      tags:
        - Authentication
      summary: Get enterprise login URL
      description: Get the enterprise login URL for a given organization
      operationId: src.handlers.auth.get_enterprise_login_url
      parameters:
        - in: query
          required: true
          name: org_slug
          schema:
            type: string
            minLength: 1
            maxLength: 128
            pattern: ^[a-z0-9-]+$
          description: Organization slug (lowercase alphanumeric and hyphens)
      responses:
        '200':
          description: Enterprise login URL found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseLoginResponse'
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        default:
          $ref: '#/components/responses/Error'
components:
  schemas:
    EnterpriseLoginResponse:
      description: Response containing enterprise login information
      type: object
      required:
        - login_url
      properties:
        login_url:
          type: string
          format: uri
          description: URL to redirect user for enterprise login
        provider_name:
          type: string
          description: >-
            The name of the SAML provider to use for enterprise login, if it
            supports Amplify. If provided, this should be preferred over the
            login_url.
        api_url:
          type: string
          format: string
          description: The API URL to use after we authenticate with the SAML provider.
        auth_url:
          type: string
          format: string
          description: >-
            The authentication/identity service URL (e.g. Cognito/authorization
            domain).
        user_pool_client_id:
          type: string
          description: The user pool client ID to use for authentication.
        ci_user_pool_client_id:
          type: string
          description: User pool client ID for CLI authentication.
        user_pool_id:
          type: string
          description: The user pool ID to use for authentication.
        user_pool_region:
          type: string
          description: The AWS region where the user pool is located.
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  responses:
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````